<?php

    namespace wpsg;

    abstract class M1 {

		final public static function d($value) {
		
			if ($GLOBALS['wpsg_sc']->get_option('wpsg_debugModus') != "1") return;
			
			echo '<pre style="color:red;">';
			
			if (is_array($value)) {
			
				print_r($value);
			
			} else if (is_string($value)) {
			
				echo $value;
			
			} else if (is_object($value)) {
			
				echo 'OBJECT ['.get_class($value).']';
			
			} else if (is_bool($value)) {
				
				if ($value === true) echo 'TRUE';
				else echo 'FALSE';
				
			} else if (is_null($value)) {
			
				echo 'NULL';
			
			} else var_dump($value);
			
			$call_line = function() {
    
				$backtrace = debug_backtrace();
    
				$last = $backtrace[1];
    
				echo " -> {$last['function']}() called from {$last['file']} line {$last['line']}\r\n";

			};
			
			echo $call_line();
			
			echo '</pre>';
			
		}
		
        /**
         * Maskierung für Datenbankabfragen
         * @param $value
         * @return array|string
         */
        final public static function q($value) {

            return \esc_sql($value);

        }

        /**
         * Prüft einen Wert auf Numerische Werte
         * @param $value
         * @param $testValue
         * @return bool
         */
        final public static function isSizedInt(&$value, $testValue = null) {

            if (!isset($value)) return false;

            if ($testValue === null) {

                return is_numeric($value);

            } else {

                if (is_numeric($value) && intval($testValue) === intval($value)) return true;
                else return false;

            }

        }
        
    }